////////////////////////////////////////////////////////////////////////////////
//
//  Accordion - An Android Accordion written in Java.
//
//  Copyright (C) 2013	Bill Farmer
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//  Bill Farmer	 william j farmer [at] yahoo [dot] co [dot] uk.
//
///////////////////////////////////////////////////////////////////////////////

package org.billthefarmer.accordion;

import android.app.ActionBar;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.MenuItem;

public class SettingsActivity extends Activity
{
    protected boolean layoutChanged;

    // On create

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
	super.onCreate(savedInstanceState);

	// Display the fragment as the main content.

	getFragmentManager().beginTransaction()
	    .replace(android.R.id.content, new SettingsFragment())
	    .commit();

	// Enable back navigation on action bar

	ActionBar actionBar = getActionBar();
	actionBar.setDisplayHomeAsUpEnabled(true);

    }

    // On options item selected

    @Override
    public boolean onOptionsItemSelected(MenuItem item)
    {
	// Switch on item id

	switch (item.getItemId())
	{
	case android.R.id.home:
	    // app icon in action bar clicked; go home
	    Intent intent = new Intent(this, MainActivity.class);
	    intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);

	    if (layoutChanged)
		intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);

	    startActivity(intent);
	    return true;
	default:

	    return super.onOptionsItemSelected(item);
	}
    }

    // On back pressed

    @Override
    public void onBackPressed()
    {
	Intent intent = new Intent(this, MainActivity.class);
	intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);

	    if (layoutChanged)
		intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);

	startActivity(intent);
    }
}
